summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeff Quast <contact@jeffquast.com>2016-02-14 15:12:07 -0800
committerJeff Quast <contact@jeffquast.com>2016-02-14 15:12:07 -0800
commit4201853f814ffbd35dca90f98f586a61b8585c84 (patch)
tree5688765c3ff4c717fd5d62c195044ff39b7c9fae
parenta359c1d8f3e27b4dcda5c7bb213a61c27e99e015 (diff)
downloadpexpect-git-use-flit.tar.gz
remove unreachable path, rename to pyversion_flituse-flit
-rwxr-xr-xtools/teamcity-runtests.sh10
1 files changed, 3 insertions, 7 deletions
diff --git a/tools/teamcity-runtests.sh b/tools/teamcity-runtests.sh
index 7750c71..076e9a1 100755
--- a/tools/teamcity-runtests.sh
+++ b/tools/teamcity-runtests.sh
@@ -14,7 +14,7 @@ export PYTHONIOENCODING=UTF8
export LANG=en_US.UTF-8
pyversion=$1
-version_flit=3.5
+pyversion_flit=3.5
shift
here=$(cd `dirname $0`; pwd)
osrel=$(uname -s)
@@ -24,18 +24,14 @@ venv_flit=flit-builder
function prepare_virtualenvwrapper() {
venv_wrapper=$(which virtualenvwrapper.sh)
. ${venv_wrapper}
- if [ -z $venv_wrapper ]; then
- echo "virtualenvwrapper.sh not found in PATH." >&2
- exit 1
- fi
}
function make_wheel_for_ptyprocess() {
- mkvirtualenv -p`which python${version_flit}` ${venv_flit} || true
+ mkvirtualenv -p`which python${pyversion_flit}` ${venv_flit} || true
workon ${venv_flit}
# explicitly use pip3.5 to install/upgrade flit, a dependency for building
# the ptyprocess wheel package. Flit is not compatible with python 2.7.
- pip${version_flit} install --upgrade flit
+ pip${pyversion_flit} install --upgrade flit
# create ptyprocess wheel
cd $here/../../ptyprocess